<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>cn.com.qmth.examcloud.core.questions</groupId>
		<artifactId>examcloud-core-questions</artifactId>
		<version>v4.0.2-RELEASE</version>
	</parent>
	<artifactId>examcloud-core-questions-starter</artifactId>
	<packaging>jar</packaging>


	<dependencies>
		<dependency>
			<groupId>cn.com.qmth.examcloud.core.questions</groupId>
			<artifactId>examcloud-core-questions-api-provider</artifactId>
			<version>${examcloud.version}</version>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
				<configuration>
					<archive>
						<manifest>
							<mainClass>cn.com.qmth.examcloud.core.questions.starter.CoreQuestionApp</mainClass>
							<addClasspath>true</addClasspath>
							<classpathPrefix>./</classpathPrefix>
						</manifest>
						<manifestEntries>
							<Class-Path>../config/</Class-Path>
						</manifestEntries>
					</archive>
					<excludes>
						<exclude>templates/*</exclude>
						<exclude>*.properties</exclude>
						<exclude>*.xml </exclude>
						<exclude>classpath.location</exclude>
					</excludes>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-assembly-plugin</artifactId>
				<configuration>
					<finalName>examcloud-core-questions</finalName>
					<descriptors>
						<descriptor>assembly.xml</descriptor>
					</descriptors>
				</configuration>
				<executions>
					<execution>
						<id>make-assembly</id>
						<phase>install</phase>
						<goals>
							<goal>assembly</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>

</project>